<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">
    <xsl:apply-templates select="musicCollection"/>
  </xsl:template>

  <xsl:template match="musicCollection">
    <xsl:apply-templates select="artist" order-by="name"/>
  </xsl:template>

  <xsl:template match="artist">
    <div style="margin-top:1em">
      <div style="font:large; color:green; cursor:hand">
        <xsl:value-of select="name"/>
      </div>
    </div>
    <xsl:apply-templates select="cd"/>
  </xsl:template>
  
  <xsl:template match="cd">
    <div style="border:solid red 1px; padding:10px; width:500px">
    
      <div style="font:medium; color:blue">
        <xsl:value-of select="title"/>
      </div>

      <xsl:for-each select="track" order-by="name">
        <div style="font:small; color:purple; text-indent:2em">
          <xsl:value-of select="name"/>
          <xsl:value-of select="time"/>
        </div>
      </xsl:for-each>
      
    </div>
  </xsl:template>
</xsl:stylesheet>