<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">
    <xsl:apply-templates select="musicCollection"/>
  </xsl:template>

  <xsl:template match="musicCollection">
    <div style="font:large; color:red">
      Music Collection of
      <xsl:value-of select="owner"/>
    </div>
    
    <HR/>

    <div style="font:medium; color:green; text-indent:2em">
      Alphabetical List of Artists
    </div>
    <xsl:for-each select="artist" order-by="name">
    <div style="text-indent:4em">
      <xsl:value-of select="name"/>
    </div>
    </xsl:for-each>
      
    <HR/>
    
    <div style="font:medium; color:blue; text-indent:2em">
      Alphabetical List of CDs
    </div>
    <xsl:for-each select="artist/cd" order-by="title">
      <div style="text-indent:4em">
        <xsl:value-of select="title"/>
        -
        <xsl:value-of select="../name"/>
      </div>
    </xsl:for-each>
  </xsl:template>
  
</xsl:stylesheet>